### Method

# Adw NavigationView get_navigation_stack

since: 1.4

#### Declaration [src]

    GListModel*
    adw_navigation_view_get_navigation_stack (
      AdwNavigationView* self
    )

#### Description [src]

Returns a `GListModel` that contains the pages in navigation stack.

The pages are sorted from root page to visible page.

This can be used to keep an up-to-date view.

Available since: 1.4

Gets property | `Adw.NavigationView:navigation-stack`

#### Return value

Type: A list model of `GObject`

A list model for the navigation stack.

The caller of the method takes ownership of the data, and is responsible for freeing it.